[@acaldas/document-model-libs](../README.md) / [Exports](../modules.md) / [BudgetStatement](BudgetStatement.md) / types

# Namespace: types

[BudgetStatement](BudgetStatement.md).types

## Table of contents

### Namespaces

- [z](BudgetStatement.types.z.md)

### Type Aliases

- [AddChangeLogItemInput](BudgetStatement.types.md#addchangelogiteminput)
- [AddModuleInput](BudgetStatement.types.md#addmoduleinput)
- [AddOperationErrorInput](BudgetStatement.types.md#addoperationerrorinput)
- [AddOperationExampleInput](BudgetStatement.types.md#addoperationexampleinput)
- [AddOperationInput](BudgetStatement.types.md#addoperationinput)
- [AddStateExampleInput](BudgetStatement.types.md#addstateexampleinput)
- [Author](BudgetStatement.types.md#author)
- [CodeExample](BudgetStatement.types.md#codeexample)
- [DeleteChangeLogItemInput](BudgetStatement.types.md#deletechangelogiteminput)
- [DeleteModuleInput](BudgetStatement.types.md#deletemoduleinput)
- [DeleteOperationErrorInput](BudgetStatement.types.md#deleteoperationerrorinput)
- [DeleteOperationExampleInput](BudgetStatement.types.md#deleteoperationexampleinput)
- [DeleteOperationInput](BudgetStatement.types.md#deleteoperationinput)
- [DeleteStateExampleInput](BudgetStatement.types.md#deletestateexampleinput)
- [DocumentModelInput](BudgetStatement.types.md#documentmodelinput)
- [DocumentModelState](BudgetStatement.types.md#documentmodelstate)
- [DocumentSpecification](BudgetStatement.types.md#documentspecification)
- [Exact](BudgetStatement.types.md#exact)
- [InputMaybe](BudgetStatement.types.md#inputmaybe)
- [MakeMaybe](BudgetStatement.types.md#makemaybe)
- [MakeOptional](BudgetStatement.types.md#makeoptional)
- [Maybe](BudgetStatement.types.md#maybe)
- [Module](BudgetStatement.types.md#module)
- [MoveOperationInput](BudgetStatement.types.md#moveoperationinput)
- [Mutation](BudgetStatement.types.md#mutation)
- [MutationAddChangeLogItemInputArgs](BudgetStatement.types.md#mutationaddchangelogiteminputargs)
- [MutationAddModuleArgs](BudgetStatement.types.md#mutationaddmoduleargs)
- [MutationAddOperationArgs](BudgetStatement.types.md#mutationaddoperationargs)
- [MutationAddOperationErrorArgs](BudgetStatement.types.md#mutationaddoperationerrorargs)
- [MutationAddOperationExampleArgs](BudgetStatement.types.md#mutationaddoperationexampleargs)
- [MutationAddStateExampleArgs](BudgetStatement.types.md#mutationaddstateexampleargs)
- [MutationDeleteChangeLogItemInputArgs](BudgetStatement.types.md#mutationdeletechangelogiteminputargs)
- [MutationDeleteModuleArgs](BudgetStatement.types.md#mutationdeletemoduleargs)
- [MutationDeleteOperationArgs](BudgetStatement.types.md#mutationdeleteoperationargs)
- [MutationDeleteOperationErrorArgs](BudgetStatement.types.md#mutationdeleteoperationerrorargs)
- [MutationDeleteOperationExampleArgs](BudgetStatement.types.md#mutationdeleteoperationexampleargs)
- [MutationDeleteStateExampleArgs](BudgetStatement.types.md#mutationdeletestateexampleargs)
- [MutationMoveOperationArgs](BudgetStatement.types.md#mutationmoveoperationargs)
- [MutationReorderChangeLogItemsInputArgs](BudgetStatement.types.md#mutationreorderchangelogitemsinputargs)
- [MutationReorderModuleOperationsArgs](BudgetStatement.types.md#mutationreordermoduleoperationsargs)
- [MutationReorderModulesArgs](BudgetStatement.types.md#mutationreordermodulesargs)
- [MutationReorderOperationErrorsArgs](BudgetStatement.types.md#mutationreorderoperationerrorsargs)
- [MutationReorderOperationExamplesArgs](BudgetStatement.types.md#mutationreorderoperationexamplesargs)
- [MutationReorderStateExamplesArgs](BudgetStatement.types.md#mutationreorderstateexamplesargs)
- [MutationSetAuthorNameArgs](BudgetStatement.types.md#mutationsetauthornameargs)
- [MutationSetAuthorWebsiteArgs](BudgetStatement.types.md#mutationsetauthorwebsiteargs)
- [MutationSetInitialStateArgs](BudgetStatement.types.md#mutationsetinitialstateargs)
- [MutationSetModelDescriptionArgs](BudgetStatement.types.md#mutationsetmodeldescriptionargs)
- [MutationSetModelExtensionArgs](BudgetStatement.types.md#mutationsetmodelextensionargs)
- [MutationSetModelIdArgs](BudgetStatement.types.md#mutationsetmodelidargs)
- [MutationSetModelNameArgs](BudgetStatement.types.md#mutationsetmodelnameargs)
- [MutationSetModuleDescriptionArgs](BudgetStatement.types.md#mutationsetmoduledescriptionargs)
- [MutationSetModuleNameArgs](BudgetStatement.types.md#mutationsetmodulenameargs)
- [MutationSetOperationDescriptionArgs](BudgetStatement.types.md#mutationsetoperationdescriptionargs)
- [MutationSetOperationErrorCodeArgs](BudgetStatement.types.md#mutationsetoperationerrorcodeargs)
- [MutationSetOperationErrorDescriptionArgs](BudgetStatement.types.md#mutationsetoperationerrordescriptionargs)
- [MutationSetOperationErrorNameArgs](BudgetStatement.types.md#mutationsetoperationerrornameargs)
- [MutationSetOperationErrorTemplateArgs](BudgetStatement.types.md#mutationsetoperationerrortemplateargs)
- [MutationSetOperationNameArgs](BudgetStatement.types.md#mutationsetoperationnameargs)
- [MutationSetOperationReducerArgs](BudgetStatement.types.md#mutationsetoperationreducerargs)
- [MutationSetOperationSchemaArgs](BudgetStatement.types.md#mutationsetoperationschemaargs)
- [MutationSetOperationTemplateArgs](BudgetStatement.types.md#mutationsetoperationtemplateargs)
- [MutationSetStateSchemaArgs](BudgetStatement.types.md#mutationsetstateschemaargs)
- [MutationUpdateChangeLogItemInputArgs](BudgetStatement.types.md#mutationupdatechangelogiteminputargs)
- [MutationUpdateOperationExampleArgs](BudgetStatement.types.md#mutationupdateoperationexampleargs)
- [MutationUpdateStateExampleArgs](BudgetStatement.types.md#mutationupdatestateexampleargs)
- [Operation](BudgetStatement.types.md#operation)
- [OperationError](BudgetStatement.types.md#operationerror)
- [ReorderChangeLogItemsInput](BudgetStatement.types.md#reorderchangelogitemsinput)
- [ReorderModuleOperationsInput](BudgetStatement.types.md#reordermoduleoperationsinput)
- [ReorderModulesInput](BudgetStatement.types.md#reordermodulesinput)
- [ReorderOperationErrorsInput](BudgetStatement.types.md#reorderoperationerrorsinput)
- [ReorderOperationExamplesInput](BudgetStatement.types.md#reorderoperationexamplesinput)
- [ReorderStateExamplesInput](BudgetStatement.types.md#reorderstateexamplesinput)
- [Scalars](BudgetStatement.types.md#scalars)
- [SetAuthorNameInput](BudgetStatement.types.md#setauthornameinput)
- [SetAuthorWebsiteInput](BudgetStatement.types.md#setauthorwebsiteinput)
- [SetInitialStateInput](BudgetStatement.types.md#setinitialstateinput)
- [SetModelDescriptionInput](BudgetStatement.types.md#setmodeldescriptioninput)
- [SetModelExtensionInput](BudgetStatement.types.md#setmodelextensioninput)
- [SetModelIdInput](BudgetStatement.types.md#setmodelidinput)
- [SetModelNameInput](BudgetStatement.types.md#setmodelnameinput)
- [SetModuleDescriptionInput](BudgetStatement.types.md#setmoduledescriptioninput)
- [SetModuleNameInput](BudgetStatement.types.md#setmodulenameinput)
- [SetOperationDescriptionInput](BudgetStatement.types.md#setoperationdescriptioninput)
- [SetOperationErrorCodeInput](BudgetStatement.types.md#setoperationerrorcodeinput)
- [SetOperationErrorDescriptionInput](BudgetStatement.types.md#setoperationerrordescriptioninput)
- [SetOperationErrorNameInput](BudgetStatement.types.md#setoperationerrornameinput)
- [SetOperationErrorTemplateInput](BudgetStatement.types.md#setoperationerrortemplateinput)
- [SetOperationNameInput](BudgetStatement.types.md#setoperationnameinput)
- [SetOperationReducerInput](BudgetStatement.types.md#setoperationreducerinput)
- [SetOperationSchemaInput](BudgetStatement.types.md#setoperationschemainput)
- [SetOperationTemplateInput](BudgetStatement.types.md#setoperationtemplateinput)
- [SetStateSchemaInput](BudgetStatement.types.md#setstateschemainput)
- [State](BudgetStatement.types.md#state)
- [UpdateChangeLogItemInput](BudgetStatement.types.md#updatechangelogiteminput)
- [UpdateOperationExampleInput](BudgetStatement.types.md#updateoperationexampleinput)
- [UpdateStateExampleInput](BudgetStatement.types.md#updatestateexampleinput)

## Type Aliases

### AddChangeLogItemInput

Ƭ **AddChangeLogItemInput**: `Object`

#### Type declaration

| Name | Type |
| :------ | :------ |
| `__typename?` | ``"AddChangeLogItemInput"`` |
| `content` | [`Scalars`](BudgetStatement.types.md#scalars)[``"String"``] |
| `insertBefore` | [`Maybe`](BudgetStatement.types.md#maybe)<[`Scalars`](BudgetStatement.types.md#scalars)[``"ID"``]\> |

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/types.d.ts:22

___

### AddModuleInput

Ƭ **AddModuleInput**: `Object`

#### Type declaration

| Name | Type |
| :------ | :------ |
| `description?` | [`InputMaybe`](BudgetStatement.types.md#inputmaybe)<[`Scalars`](BudgetStatement.types.md#scalars)[``"String"``]\> |
| `name` | [`Scalars`](BudgetStatement.types.md#scalars)[``"String"``] |

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/types.d.ts:27

___

### AddOperationErrorInput

Ƭ **AddOperationErrorInput**: `Object`

#### Type declaration

| Name | Type |
| :------ | :------ |
| `errorCode?` | [`InputMaybe`](BudgetStatement.types.md#inputmaybe)<[`Scalars`](BudgetStatement.types.md#scalars)[``"String"``]\> |
| `errorDescription?` | [`InputMaybe`](BudgetStatement.types.md#inputmaybe)<[`Scalars`](BudgetStatement.types.md#scalars)[``"String"``]\> |
| `errorName?` | [`InputMaybe`](BudgetStatement.types.md#inputmaybe)<[`Scalars`](BudgetStatement.types.md#scalars)[``"String"``]\> |
| `errorTemplate?` | [`InputMaybe`](BudgetStatement.types.md#inputmaybe)<[`Scalars`](BudgetStatement.types.md#scalars)[``"String"``]\> |
| `operationId` | [`Scalars`](BudgetStatement.types.md#scalars)[``"ID"``] |

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/types.d.ts:31

___

### AddOperationExampleInput

Ƭ **AddOperationExampleInput**: `Object`

#### Type declaration

| Name | Type |
| :------ | :------ |
| `example` | [`Scalars`](BudgetStatement.types.md#scalars)[``"String"``] |
| `operationId` | [`Scalars`](BudgetStatement.types.md#scalars)[``"ID"``] |

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/types.d.ts:38

___

### AddOperationInput

Ƭ **AddOperationInput**: `Object`

#### Type declaration

| Name | Type |
| :------ | :------ |
| `description?` | [`InputMaybe`](BudgetStatement.types.md#inputmaybe)<[`Scalars`](BudgetStatement.types.md#scalars)[``"String"``]\> |
| `moduleId` | [`Scalars`](BudgetStatement.types.md#scalars)[``"ID"``] |
| `name` | [`Scalars`](BudgetStatement.types.md#scalars)[``"String"``] |
| `reducer?` | [`InputMaybe`](BudgetStatement.types.md#inputmaybe)<[`Scalars`](BudgetStatement.types.md#scalars)[``"String"``]\> |
| `schema?` | [`InputMaybe`](BudgetStatement.types.md#inputmaybe)<[`Scalars`](BudgetStatement.types.md#scalars)[``"String"``]\> |
| `template?` | [`InputMaybe`](BudgetStatement.types.md#inputmaybe)<[`Scalars`](BudgetStatement.types.md#scalars)[``"String"``]\> |

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/types.d.ts:42

___

### AddStateExampleInput

Ƭ **AddStateExampleInput**: `Object`

#### Type declaration

| Name | Type |
| :------ | :------ |
| `example` | [`Scalars`](BudgetStatement.types.md#scalars)[``"String"``] |
| `insertBefore?` | [`InputMaybe`](BudgetStatement.types.md#inputmaybe)<[`Scalars`](BudgetStatement.types.md#scalars)[``"ID"``]\> |

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/types.d.ts:50

___

### Author

Ƭ **Author**: `Object`

#### Type declaration

| Name | Type |
| :------ | :------ |
| `__typename?` | ``"Author"`` |
| `name` | [`Scalars`](BudgetStatement.types.md#scalars)[``"String"``] |
| `website` | [`Maybe`](BudgetStatement.types.md#maybe)<[`Scalars`](BudgetStatement.types.md#scalars)[``"String"``]\> |

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/types.d.ts:54

___

### CodeExample

Ƭ **CodeExample**: `Object`

#### Type declaration

| Name | Type |
| :------ | :------ |
| `__typename?` | ``"CodeExample"`` |
| `id` | [`Scalars`](BudgetStatement.types.md#scalars)[``"ID"``] |
| `value` | [`Scalars`](BudgetStatement.types.md#scalars)[``"String"``] |

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/types.d.ts:59

___

### DeleteChangeLogItemInput

Ƭ **DeleteChangeLogItemInput**: `Object`

#### Type declaration

| Name | Type |
| :------ | :------ |
| `__typename?` | ``"DeleteChangeLogItemInput"`` |
| `id` | [`Scalars`](BudgetStatement.types.md#scalars)[``"ID"``] |

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/types.d.ts:64

___

### DeleteModuleInput

Ƭ **DeleteModuleInput**: `Object`

#### Type declaration

| Name | Type |
| :------ | :------ |
| `id` | [`Scalars`](BudgetStatement.types.md#scalars)[``"ID"``] |

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/types.d.ts:68

___

### DeleteOperationErrorInput

Ƭ **DeleteOperationErrorInput**: `Object`

#### Type declaration

| Name | Type |
| :------ | :------ |
| `id` | [`Scalars`](BudgetStatement.types.md#scalars)[``"ID"``] |

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/types.d.ts:71

___

### DeleteOperationExampleInput

Ƭ **DeleteOperationExampleInput**: `Object`

#### Type declaration

| Name | Type |
| :------ | :------ |
| `id` | [`Scalars`](BudgetStatement.types.md#scalars)[``"ID"``] |

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/types.d.ts:74

___

### DeleteOperationInput

Ƭ **DeleteOperationInput**: `Object`

#### Type declaration

| Name | Type |
| :------ | :------ |
| `id` | [`Scalars`](BudgetStatement.types.md#scalars)[``"ID"``] |

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/types.d.ts:77

___

### DeleteStateExampleInput

Ƭ **DeleteStateExampleInput**: `Object`

#### Type declaration

| Name | Type |
| :------ | :------ |
| `id` | [`Scalars`](BudgetStatement.types.md#scalars)[``"ID"``] |

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/types.d.ts:80

___

### DocumentModelInput

Ƭ **DocumentModelInput**: [`AddChangeLogItemInput`](BudgetStatement.types.md#addchangelogiteminput) \| [`AddModuleInput`](BudgetStatement.types.md#addmoduleinput) \| [`AddOperationErrorInput`](BudgetStatement.types.md#addoperationerrorinput) \| [`AddOperationExampleInput`](BudgetStatement.types.md#addoperationexampleinput) \| [`AddOperationInput`](BudgetStatement.types.md#addoperationinput) \| [`AddStateExampleInput`](BudgetStatement.types.md#addstateexampleinput) \| [`DeleteChangeLogItemInput`](BudgetStatement.types.md#deletechangelogiteminput) \| [`DeleteModuleInput`](BudgetStatement.types.md#deletemoduleinput) \| [`DeleteOperationErrorInput`](BudgetStatement.types.md#deleteoperationerrorinput) \| [`DeleteOperationExampleInput`](BudgetStatement.types.md#deleteoperationexampleinput) \| [`DeleteOperationInput`](BudgetStatement.types.md#deleteoperationinput) \| [`DeleteStateExampleInput`](BudgetStatement.types.md#deletestateexampleinput) \| [`MoveOperationInput`](BudgetStatement.types.md#moveoperationinput) \| [`ReorderChangeLogItemsInput`](BudgetStatement.types.md#reorderchangelogitemsinput) \| [`ReorderModuleOperationsInput`](BudgetStatement.types.md#reordermoduleoperationsinput) \| [`ReorderModulesInput`](BudgetStatement.types.md#reordermodulesinput) \| [`ReorderOperationErrorsInput`](BudgetStatement.types.md#reorderoperationerrorsinput) \| [`ReorderOperationExamplesInput`](BudgetStatement.types.md#reorderoperationexamplesinput) \| [`ReorderStateExamplesInput`](BudgetStatement.types.md#reorderstateexamplesinput) \| [`SetAuthorNameInput`](BudgetStatement.types.md#setauthornameinput) \| [`SetAuthorWebsiteInput`](BudgetStatement.types.md#setauthorwebsiteinput) \| [`SetInitialStateInput`](BudgetStatement.types.md#setinitialstateinput) \| [`SetModelDescriptionInput`](BudgetStatement.types.md#setmodeldescriptioninput) \| [`SetModelExtensionInput`](BudgetStatement.types.md#setmodelextensioninput) \| [`SetModelIdInput`](BudgetStatement.types.md#setmodelidinput) \| [`SetModelNameInput`](BudgetStatement.types.md#setmodelnameinput) \| [`SetModuleDescriptionInput`](BudgetStatement.types.md#setmoduledescriptioninput) \| [`SetModuleNameInput`](BudgetStatement.types.md#setmodulenameinput) \| [`SetOperationDescriptionInput`](BudgetStatement.types.md#setoperationdescriptioninput) \| [`SetOperationErrorCodeInput`](BudgetStatement.types.md#setoperationerrorcodeinput) \| [`SetOperationErrorDescriptionInput`](BudgetStatement.types.md#setoperationerrordescriptioninput) \| [`SetOperationErrorNameInput`](BudgetStatement.types.md#setoperationerrornameinput) \| [`SetOperationErrorTemplateInput`](BudgetStatement.types.md#setoperationerrortemplateinput) \| [`SetOperationNameInput`](BudgetStatement.types.md#setoperationnameinput) \| [`SetOperationReducerInput`](BudgetStatement.types.md#setoperationreducerinput) \| [`SetOperationSchemaInput`](BudgetStatement.types.md#setoperationschemainput) \| [`SetOperationTemplateInput`](BudgetStatement.types.md#setoperationtemplateinput) \| [`SetStateSchemaInput`](BudgetStatement.types.md#setstateschemainput) \| [`UpdateChangeLogItemInput`](BudgetStatement.types.md#updatechangelogiteminput) \| [`UpdateOperationExampleInput`](BudgetStatement.types.md#updateoperationexampleinput) \| [`UpdateStateExampleInput`](BudgetStatement.types.md#updatestateexampleinput)

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/types.d.ts:83

___

### DocumentModelState

Ƭ **DocumentModelState**: `Object`

#### Type declaration

| Name | Type |
| :------ | :------ |
| `__typename?` | ``"DocumentModelState"`` |
| `author` | [`Author`](BudgetStatement.types.md#author) |
| `description` | [`Scalars`](BudgetStatement.types.md#scalars)[``"String"``] |
| `extension` | [`Scalars`](BudgetStatement.types.md#scalars)[``"String"``] |
| `id` | [`Scalars`](BudgetStatement.types.md#scalars)[``"String"``] |
| `name` | [`Scalars`](BudgetStatement.types.md#scalars)[``"String"``] |
| `specifications` | [`DocumentSpecification`](BudgetStatement.types.md#documentspecification)[] |

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/types.d.ts:84

___

### DocumentSpecification

Ƭ **DocumentSpecification**: `Object`

#### Type declaration

| Name | Type |
| :------ | :------ |
| `__typename?` | ``"DocumentSpecification"`` |
| `changeLog` | [`Scalars`](BudgetStatement.types.md#scalars)[``"String"``][] |
| `modules` | [`Module`](BudgetStatement.types.md#module)[] |
| `state` | [`State`](BudgetStatement.types.md#state) |
| `version` | [`Scalars`](BudgetStatement.types.md#scalars)[``"Int"``] |

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/types.d.ts:93

___

### Exact

Ƭ **Exact**<`T`\>: { [K in keyof T]: T[K] }

#### Type parameters

| Name | Type |
| :------ | :------ |
| `T` | extends `Object` |

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/types.d.ts:3

___

### InputMaybe

Ƭ **InputMaybe**<`T`\>: `T` \| ``null`` \| `undefined`

#### Type parameters

| Name |
| :------ |
| `T` |

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/types.d.ts:2

___

### MakeMaybe

Ƭ **MakeMaybe**<`T`, `K`\>: `Omit`<`T`, `K`\> & { [SubKey in K]: Maybe<T[SubKey]\> }

#### Type parameters

| Name | Type |
| :------ | :------ |
| `T` | `T` |
| `K` | extends keyof `T` |

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/types.d.ts:11

___

### MakeOptional

Ƭ **MakeOptional**<`T`, `K`\>: `Omit`<`T`, `K`\> & { [SubKey in K]?: Maybe<T[SubKey]\> }

#### Type parameters

| Name | Type |
| :------ | :------ |
| `T` | `T` |
| `K` | extends keyof `T` |

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/types.d.ts:8

___

### Maybe

Ƭ **Maybe**<`T`\>: `T` \| ``null``

#### Type parameters

| Name |
| :------ |
| `T` |

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/types.d.ts:1

___

### Module

Ƭ **Module**: `Object`

#### Type declaration

| Name | Type |
| :------ | :------ |
| `__typename?` | ``"Module"`` |
| `description` | [`Maybe`](BudgetStatement.types.md#maybe)<[`Scalars`](BudgetStatement.types.md#scalars)[``"String"``]\> |
| `id` | [`Scalars`](BudgetStatement.types.md#scalars)[``"ID"``] |
| `name` | [`Scalars`](BudgetStatement.types.md#scalars)[``"String"``] |
| `operations` | [`Operation`](BudgetStatement.types.md#operation)[] |

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/types.d.ts:100

___

### MoveOperationInput

Ƭ **MoveOperationInput**: `Object`

#### Type declaration

| Name | Type |
| :------ | :------ |
| `newModuleId` | [`Scalars`](BudgetStatement.types.md#scalars)[``"ID"``] |
| `operationId` | [`Scalars`](BudgetStatement.types.md#scalars)[``"ID"``] |

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/types.d.ts:107

___

### Mutation

Ƭ **Mutation**: `Object`

#### Type declaration

| Name | Type |
| :------ | :------ |
| `__typename?` | ``"Mutation"`` |
| `addChangeLogItemInput` | [`DocumentModelState`](BudgetStatement.types.md#documentmodelstate) |
| `addModule` | [`DocumentModelState`](BudgetStatement.types.md#documentmodelstate) |
| `addOperation` | [`DocumentModelState`](BudgetStatement.types.md#documentmodelstate) |
| `addOperationError` | [`DocumentModelState`](BudgetStatement.types.md#documentmodelstate) |
| `addOperationExample` | [`DocumentModelState`](BudgetStatement.types.md#documentmodelstate) |
| `addStateExample` | [`DocumentModelState`](BudgetStatement.types.md#documentmodelstate) |
| `deleteChangeLogItemInput` | [`DocumentModelState`](BudgetStatement.types.md#documentmodelstate) |
| `deleteModule` | [`DocumentModelState`](BudgetStatement.types.md#documentmodelstate) |
| `deleteOperation` | [`DocumentModelState`](BudgetStatement.types.md#documentmodelstate) |
| `deleteOperationError` | [`DocumentModelState`](BudgetStatement.types.md#documentmodelstate) |
| `deleteOperationExample` | [`DocumentModelState`](BudgetStatement.types.md#documentmodelstate) |
| `deleteStateExample` | [`DocumentModelState`](BudgetStatement.types.md#documentmodelstate) |
| `moveOperation` | [`DocumentModelState`](BudgetStatement.types.md#documentmodelstate) |
| `releaseNewVersion` | [`DocumentModelState`](BudgetStatement.types.md#documentmodelstate) |
| `reorderChangeLogItemsInput` | [`DocumentModelState`](BudgetStatement.types.md#documentmodelstate) |
| `reorderModuleOperations` | [`DocumentModelState`](BudgetStatement.types.md#documentmodelstate) |
| `reorderModules` | [`DocumentModelState`](BudgetStatement.types.md#documentmodelstate) |
| `reorderOperationErrors` | [`DocumentModelState`](BudgetStatement.types.md#documentmodelstate) |
| `reorderOperationExamples` | [`DocumentModelState`](BudgetStatement.types.md#documentmodelstate) |
| `reorderStateExamples` | [`DocumentModelState`](BudgetStatement.types.md#documentmodelstate) |
| `setAuthorName` | [`DocumentModelState`](BudgetStatement.types.md#documentmodelstate) |
| `setAuthorWebsite` | [`DocumentModelState`](BudgetStatement.types.md#documentmodelstate) |
| `setInitialState` | [`DocumentModelState`](BudgetStatement.types.md#documentmodelstate) |
| `setModelDescription` | [`DocumentModelState`](BudgetStatement.types.md#documentmodelstate) |
| `setModelExtension` | [`DocumentModelState`](BudgetStatement.types.md#documentmodelstate) |
| `setModelId` | [`DocumentModelState`](BudgetStatement.types.md#documentmodelstate) |
| `setModelName` | [`DocumentModelState`](BudgetStatement.types.md#documentmodelstate) |
| `setModuleDescription` | [`DocumentModelState`](BudgetStatement.types.md#documentmodelstate) |
| `setModuleName` | [`DocumentModelState`](BudgetStatement.types.md#documentmodelstate) |
| `setOperationDescription` | [`DocumentModelState`](BudgetStatement.types.md#documentmodelstate) |
| `setOperationErrorCode` | [`DocumentModelState`](BudgetStatement.types.md#documentmodelstate) |
| `setOperationErrorDescription` | [`DocumentModelState`](BudgetStatement.types.md#documentmodelstate) |
| `setOperationErrorName` | [`DocumentModelState`](BudgetStatement.types.md#documentmodelstate) |
| `setOperationErrorTemplate` | [`DocumentModelState`](BudgetStatement.types.md#documentmodelstate) |
| `setOperationName` | [`DocumentModelState`](BudgetStatement.types.md#documentmodelstate) |
| `setOperationReducer` | [`DocumentModelState`](BudgetStatement.types.md#documentmodelstate) |
| `setOperationSchema` | [`DocumentModelState`](BudgetStatement.types.md#documentmodelstate) |
| `setOperationTemplate` | [`DocumentModelState`](BudgetStatement.types.md#documentmodelstate) |
| `setStateSchema` | [`DocumentModelState`](BudgetStatement.types.md#documentmodelstate) |
| `updateChangeLogItemInput` | [`DocumentModelState`](BudgetStatement.types.md#documentmodelstate) |
| `updateOperationExample` | [`DocumentModelState`](BudgetStatement.types.md#documentmodelstate) |
| `updateStateExample` | [`DocumentModelState`](BudgetStatement.types.md#documentmodelstate) |

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/types.d.ts:111

___

### MutationAddChangeLogItemInputArgs

Ƭ **MutationAddChangeLogItemInputArgs**: `Object`

#### Type declaration

| Name | Type |
| :------ | :------ |
| `input?` | [`InputMaybe`](BudgetStatement.types.md#inputmaybe)<[`AddChangeLogItemInput`](BudgetStatement.types.md#addchangelogiteminput)\> |

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/types.d.ts:156

___

### MutationAddModuleArgs

Ƭ **MutationAddModuleArgs**: `Object`

#### Type declaration

| Name | Type |
| :------ | :------ |
| `input` | [`AddModuleInput`](BudgetStatement.types.md#addmoduleinput) |

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/types.d.ts:159

___

### MutationAddOperationArgs

Ƭ **MutationAddOperationArgs**: `Object`

#### Type declaration

| Name | Type |
| :------ | :------ |
| `input` | [`AddOperationInput`](BudgetStatement.types.md#addoperationinput) |

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/types.d.ts:162

___

### MutationAddOperationErrorArgs

Ƭ **MutationAddOperationErrorArgs**: `Object`

#### Type declaration

| Name | Type |
| :------ | :------ |
| `input` | [`AddOperationErrorInput`](BudgetStatement.types.md#addoperationerrorinput) |

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/types.d.ts:165

___

### MutationAddOperationExampleArgs

Ƭ **MutationAddOperationExampleArgs**: `Object`

#### Type declaration

| Name | Type |
| :------ | :------ |
| `input` | [`AddOperationExampleInput`](BudgetStatement.types.md#addoperationexampleinput) |

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/types.d.ts:168

___

### MutationAddStateExampleArgs

Ƭ **MutationAddStateExampleArgs**: `Object`

#### Type declaration

| Name | Type |
| :------ | :------ |
| `input` | [`AddStateExampleInput`](BudgetStatement.types.md#addstateexampleinput) |

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/types.d.ts:171

___

### MutationDeleteChangeLogItemInputArgs

Ƭ **MutationDeleteChangeLogItemInputArgs**: `Object`

#### Type declaration

| Name | Type |
| :------ | :------ |
| `input?` | [`InputMaybe`](BudgetStatement.types.md#inputmaybe)<[`DeleteChangeLogItemInput`](BudgetStatement.types.md#deletechangelogiteminput)\> |

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/types.d.ts:174

___

### MutationDeleteModuleArgs

Ƭ **MutationDeleteModuleArgs**: `Object`

#### Type declaration

| Name | Type |
| :------ | :------ |
| `input` | [`DeleteModuleInput`](BudgetStatement.types.md#deletemoduleinput) |

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/types.d.ts:177

___

### MutationDeleteOperationArgs

Ƭ **MutationDeleteOperationArgs**: `Object`

#### Type declaration

| Name | Type |
| :------ | :------ |
| `input` | [`DeleteOperationInput`](BudgetStatement.types.md#deleteoperationinput) |

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/types.d.ts:180

___

### MutationDeleteOperationErrorArgs

Ƭ **MutationDeleteOperationErrorArgs**: `Object`

#### Type declaration

| Name | Type |
| :------ | :------ |
| `input` | [`DeleteOperationErrorInput`](BudgetStatement.types.md#deleteoperationerrorinput) |

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/types.d.ts:183

___

### MutationDeleteOperationExampleArgs

Ƭ **MutationDeleteOperationExampleArgs**: `Object`

#### Type declaration

| Name | Type |
| :------ | :------ |
| `input` | [`DeleteOperationExampleInput`](BudgetStatement.types.md#deleteoperationexampleinput) |

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/types.d.ts:186

___

### MutationDeleteStateExampleArgs

Ƭ **MutationDeleteStateExampleArgs**: `Object`

#### Type declaration

| Name | Type |
| :------ | :------ |
| `input` | [`DeleteStateExampleInput`](BudgetStatement.types.md#deletestateexampleinput) |

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/types.d.ts:189

___

### MutationMoveOperationArgs

Ƭ **MutationMoveOperationArgs**: `Object`

#### Type declaration

| Name | Type |
| :------ | :------ |
| `input` | [`MoveOperationInput`](BudgetStatement.types.md#moveoperationinput) |

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/types.d.ts:192

___

### MutationReorderChangeLogItemsInputArgs

Ƭ **MutationReorderChangeLogItemsInputArgs**: `Object`

#### Type declaration

| Name | Type |
| :------ | :------ |
| `input?` | [`InputMaybe`](BudgetStatement.types.md#inputmaybe)<[`ReorderChangeLogItemsInput`](BudgetStatement.types.md#reorderchangelogitemsinput)\> |

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/types.d.ts:195

___

### MutationReorderModuleOperationsArgs

Ƭ **MutationReorderModuleOperationsArgs**: `Object`

#### Type declaration

| Name | Type |
| :------ | :------ |
| `input` | [`ReorderModuleOperationsInput`](BudgetStatement.types.md#reordermoduleoperationsinput) |

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/types.d.ts:198

___

### MutationReorderModulesArgs

Ƭ **MutationReorderModulesArgs**: `Object`

#### Type declaration

| Name | Type |
| :------ | :------ |
| `input` | [`ReorderModulesInput`](BudgetStatement.types.md#reordermodulesinput) |

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/types.d.ts:201

___

### MutationReorderOperationErrorsArgs

Ƭ **MutationReorderOperationErrorsArgs**: `Object`

#### Type declaration

| Name | Type |
| :------ | :------ |
| `input` | [`ReorderOperationErrorsInput`](BudgetStatement.types.md#reorderoperationerrorsinput) |

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/types.d.ts:204

___

### MutationReorderOperationExamplesArgs

Ƭ **MutationReorderOperationExamplesArgs**: `Object`

#### Type declaration

| Name | Type |
| :------ | :------ |
| `input` | [`ReorderOperationExamplesInput`](BudgetStatement.types.md#reorderoperationexamplesinput) |

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/types.d.ts:207

___

### MutationReorderStateExamplesArgs

Ƭ **MutationReorderStateExamplesArgs**: `Object`

#### Type declaration

| Name | Type |
| :------ | :------ |
| `input` | [`ReorderStateExamplesInput`](BudgetStatement.types.md#reorderstateexamplesinput) |

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/types.d.ts:210

___

### MutationSetAuthorNameArgs

Ƭ **MutationSetAuthorNameArgs**: `Object`

#### Type declaration

| Name | Type |
| :------ | :------ |
| `input` | [`SetAuthorNameInput`](BudgetStatement.types.md#setauthornameinput) |

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/types.d.ts:213

___

### MutationSetAuthorWebsiteArgs

Ƭ **MutationSetAuthorWebsiteArgs**: `Object`

#### Type declaration

| Name | Type |
| :------ | :------ |
| `input` | [`SetAuthorWebsiteInput`](BudgetStatement.types.md#setauthorwebsiteinput) |

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/types.d.ts:216

___

### MutationSetInitialStateArgs

Ƭ **MutationSetInitialStateArgs**: `Object`

#### Type declaration

| Name | Type |
| :------ | :------ |
| `input` | [`SetInitialStateInput`](BudgetStatement.types.md#setinitialstateinput) |

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/types.d.ts:219

___

### MutationSetModelDescriptionArgs

Ƭ **MutationSetModelDescriptionArgs**: `Object`

#### Type declaration

| Name | Type |
| :------ | :------ |
| `input` | [`SetModelDescriptionInput`](BudgetStatement.types.md#setmodeldescriptioninput) |

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/types.d.ts:222

___

### MutationSetModelExtensionArgs

Ƭ **MutationSetModelExtensionArgs**: `Object`

#### Type declaration

| Name | Type |
| :------ | :------ |
| `input` | [`SetModelExtensionInput`](BudgetStatement.types.md#setmodelextensioninput) |

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/types.d.ts:225

___

### MutationSetModelIdArgs

Ƭ **MutationSetModelIdArgs**: `Object`

#### Type declaration

| Name | Type |
| :------ | :------ |
| `input` | [`SetModelIdInput`](BudgetStatement.types.md#setmodelidinput) |

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/types.d.ts:228

___

### MutationSetModelNameArgs

Ƭ **MutationSetModelNameArgs**: `Object`

#### Type declaration

| Name | Type |
| :------ | :------ |
| `input` | [`SetModelNameInput`](BudgetStatement.types.md#setmodelnameinput) |

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/types.d.ts:231

___

### MutationSetModuleDescriptionArgs

Ƭ **MutationSetModuleDescriptionArgs**: `Object`

#### Type declaration

| Name | Type |
| :------ | :------ |
| `input` | [`SetModuleDescriptionInput`](BudgetStatement.types.md#setmoduledescriptioninput) |

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/types.d.ts:234

___

### MutationSetModuleNameArgs

Ƭ **MutationSetModuleNameArgs**: `Object`

#### Type declaration

| Name | Type |
| :------ | :------ |
| `input` | [`SetModuleNameInput`](BudgetStatement.types.md#setmodulenameinput) |

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/types.d.ts:237

___

### MutationSetOperationDescriptionArgs

Ƭ **MutationSetOperationDescriptionArgs**: `Object`

#### Type declaration

| Name | Type |
| :------ | :------ |
| `input` | [`SetOperationDescriptionInput`](BudgetStatement.types.md#setoperationdescriptioninput) |

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/types.d.ts:240

___

### MutationSetOperationErrorCodeArgs

Ƭ **MutationSetOperationErrorCodeArgs**: `Object`

#### Type declaration

| Name | Type |
| :------ | :------ |
| `input` | [`SetOperationErrorCodeInput`](BudgetStatement.types.md#setoperationerrorcodeinput) |

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/types.d.ts:243

___

### MutationSetOperationErrorDescriptionArgs

Ƭ **MutationSetOperationErrorDescriptionArgs**: `Object`

#### Type declaration

| Name | Type |
| :------ | :------ |
| `input` | [`SetOperationErrorDescriptionInput`](BudgetStatement.types.md#setoperationerrordescriptioninput) |

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/types.d.ts:246

___

### MutationSetOperationErrorNameArgs

Ƭ **MutationSetOperationErrorNameArgs**: `Object`

#### Type declaration

| Name | Type |
| :------ | :------ |
| `input` | [`SetOperationErrorNameInput`](BudgetStatement.types.md#setoperationerrornameinput) |

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/types.d.ts:249

___

### MutationSetOperationErrorTemplateArgs

Ƭ **MutationSetOperationErrorTemplateArgs**: `Object`

#### Type declaration

| Name | Type |
| :------ | :------ |
| `input` | [`SetOperationErrorTemplateInput`](BudgetStatement.types.md#setoperationerrortemplateinput) |

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/types.d.ts:252

___

### MutationSetOperationNameArgs

Ƭ **MutationSetOperationNameArgs**: `Object`

#### Type declaration

| Name | Type |
| :------ | :------ |
| `input` | [`SetOperationNameInput`](BudgetStatement.types.md#setoperationnameinput) |

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/types.d.ts:255

___

### MutationSetOperationReducerArgs

Ƭ **MutationSetOperationReducerArgs**: `Object`

#### Type declaration

| Name | Type |
| :------ | :------ |
| `input` | [`SetOperationReducerInput`](BudgetStatement.types.md#setoperationreducerinput) |

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/types.d.ts:258

___

### MutationSetOperationSchemaArgs

Ƭ **MutationSetOperationSchemaArgs**: `Object`

#### Type declaration

| Name | Type |
| :------ | :------ |
| `input` | [`SetOperationSchemaInput`](BudgetStatement.types.md#setoperationschemainput) |

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/types.d.ts:261

___

### MutationSetOperationTemplateArgs

Ƭ **MutationSetOperationTemplateArgs**: `Object`

#### Type declaration

| Name | Type |
| :------ | :------ |
| `input` | [`SetOperationTemplateInput`](BudgetStatement.types.md#setoperationtemplateinput) |

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/types.d.ts:264

___

### MutationSetStateSchemaArgs

Ƭ **MutationSetStateSchemaArgs**: `Object`

#### Type declaration

| Name | Type |
| :------ | :------ |
| `input` | [`SetStateSchemaInput`](BudgetStatement.types.md#setstateschemainput) |

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/types.d.ts:267

___

### MutationUpdateChangeLogItemInputArgs

Ƭ **MutationUpdateChangeLogItemInputArgs**: `Object`

#### Type declaration

| Name | Type |
| :------ | :------ |
| `input?` | [`InputMaybe`](BudgetStatement.types.md#inputmaybe)<[`UpdateChangeLogItemInput`](BudgetStatement.types.md#updatechangelogiteminput)\> |

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/types.d.ts:270

___

### MutationUpdateOperationExampleArgs

Ƭ **MutationUpdateOperationExampleArgs**: `Object`

#### Type declaration

| Name | Type |
| :------ | :------ |
| `input` | [`UpdateOperationExampleInput`](BudgetStatement.types.md#updateoperationexampleinput) |

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/types.d.ts:273

___

### MutationUpdateStateExampleArgs

Ƭ **MutationUpdateStateExampleArgs**: `Object`

#### Type declaration

| Name | Type |
| :------ | :------ |
| `input` | [`UpdateStateExampleInput`](BudgetStatement.types.md#updatestateexampleinput) |

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/types.d.ts:276

___

### Operation

Ƭ **Operation**: `Object`

#### Type declaration

| Name | Type |
| :------ | :------ |
| `__typename?` | ``"Operation"`` |
| `description` | [`Maybe`](BudgetStatement.types.md#maybe)<[`Scalars`](BudgetStatement.types.md#scalars)[``"String"``]\> |
| `errors` | [`OperationError`](BudgetStatement.types.md#operationerror)[] |
| `examples` | [`CodeExample`](BudgetStatement.types.md#codeexample)[] |
| `id` | [`Scalars`](BudgetStatement.types.md#scalars)[``"ID"``] |
| `name` | [`Maybe`](BudgetStatement.types.md#maybe)<[`Scalars`](BudgetStatement.types.md#scalars)[``"String"``]\> |
| `reducer` | [`Maybe`](BudgetStatement.types.md#maybe)<[`Scalars`](BudgetStatement.types.md#scalars)[``"String"``]\> |
| `schema` | [`Maybe`](BudgetStatement.types.md#maybe)<[`Scalars`](BudgetStatement.types.md#scalars)[``"String"``]\> |
| `template` | [`Maybe`](BudgetStatement.types.md#maybe)<[`Scalars`](BudgetStatement.types.md#scalars)[``"String"``]\> |

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/types.d.ts:279

___

### OperationError

Ƭ **OperationError**: `Object`

#### Type declaration

| Name | Type |
| :------ | :------ |
| `__typename?` | ``"OperationError"`` |
| `code` | [`Maybe`](BudgetStatement.types.md#maybe)<[`Scalars`](BudgetStatement.types.md#scalars)[``"String"``]\> |
| `description` | [`Maybe`](BudgetStatement.types.md#maybe)<[`Scalars`](BudgetStatement.types.md#scalars)[``"String"``]\> |
| `id` | [`Scalars`](BudgetStatement.types.md#scalars)[``"ID"``] |
| `name` | [`Maybe`](BudgetStatement.types.md#maybe)<[`Scalars`](BudgetStatement.types.md#scalars)[``"String"``]\> |
| `template` | [`Maybe`](BudgetStatement.types.md#maybe)<[`Scalars`](BudgetStatement.types.md#scalars)[``"String"``]\> |

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/types.d.ts:290

___

### ReorderChangeLogItemsInput

Ƭ **ReorderChangeLogItemsInput**: `Object`

#### Type declaration

| Name | Type |
| :------ | :------ |
| `__typename?` | ``"ReorderChangeLogItemsInput"`` |
| `order` | [`Scalars`](BudgetStatement.types.md#scalars)[``"ID"``][] |

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/types.d.ts:298

___

### ReorderModuleOperationsInput

Ƭ **ReorderModuleOperationsInput**: `Object`

#### Type declaration

| Name | Type |
| :------ | :------ |
| `moduleId` | [`Scalars`](BudgetStatement.types.md#scalars)[``"ID"``] |
| `order` | [`Scalars`](BudgetStatement.types.md#scalars)[``"ID"``][] |

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/types.d.ts:302

___

### ReorderModulesInput

Ƭ **ReorderModulesInput**: `Object`

#### Type declaration

| Name | Type |
| :------ | :------ |
| `order` | [`Scalars`](BudgetStatement.types.md#scalars)[``"ID"``][] |

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/types.d.ts:306

___

### ReorderOperationErrorsInput

Ƭ **ReorderOperationErrorsInput**: `Object`

#### Type declaration

| Name | Type |
| :------ | :------ |
| `operationId` | [`Scalars`](BudgetStatement.types.md#scalars)[``"ID"``] |
| `order` | [`Scalars`](BudgetStatement.types.md#scalars)[``"ID"``][] |

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/types.d.ts:309

___

### ReorderOperationExamplesInput

Ƭ **ReorderOperationExamplesInput**: `Object`

#### Type declaration

| Name | Type |
| :------ | :------ |
| `operationId` | [`Scalars`](BudgetStatement.types.md#scalars)[``"ID"``] |
| `order` | [`Scalars`](BudgetStatement.types.md#scalars)[``"ID"``][] |

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/types.d.ts:313

___

### ReorderStateExamplesInput

Ƭ **ReorderStateExamplesInput**: `Object`

#### Type declaration

| Name | Type |
| :------ | :------ |
| `order` | [`Scalars`](BudgetStatement.types.md#scalars)[``"ID"``][] |

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/types.d.ts:317

___

### Scalars

Ƭ **Scalars**: `Object`

All built-in and custom scalars, mapped to their actual values

#### Type declaration

| Name | Type |
| :------ | :------ |
| `Boolean` | `boolean` |
| `Float` | `number` |
| `ID` | `string` |
| `Int` | `number` |
| `String` | `string` |

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/types.d.ts:15

___

### SetAuthorNameInput

Ƭ **SetAuthorNameInput**: `Object`

#### Type declaration

| Name | Type |
| :------ | :------ |
| `authorName` | [`Scalars`](BudgetStatement.types.md#scalars)[``"String"``] |

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/types.d.ts:320

___

### SetAuthorWebsiteInput

Ƭ **SetAuthorWebsiteInput**: `Object`

#### Type declaration

| Name | Type |
| :------ | :------ |
| `authorWebsite` | [`Scalars`](BudgetStatement.types.md#scalars)[``"String"``] |

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/types.d.ts:323

___

### SetInitialStateInput

Ƭ **SetInitialStateInput**: `Object`

#### Type declaration

| Name | Type |
| :------ | :------ |
| `initialValue` | [`Scalars`](BudgetStatement.types.md#scalars)[``"String"``] |

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/types.d.ts:326

___

### SetModelDescriptionInput

Ƭ **SetModelDescriptionInput**: `Object`

#### Type declaration

| Name | Type |
| :------ | :------ |
| `description` | [`Scalars`](BudgetStatement.types.md#scalars)[``"String"``] |

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/types.d.ts:329

___

### SetModelExtensionInput

Ƭ **SetModelExtensionInput**: `Object`

#### Type declaration

| Name | Type |
| :------ | :------ |
| `extension` | [`Scalars`](BudgetStatement.types.md#scalars)[``"String"``] |

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/types.d.ts:332

___

### SetModelIdInput

Ƭ **SetModelIdInput**: `Object`

#### Type declaration

| Name | Type |
| :------ | :------ |
| `id` | [`Scalars`](BudgetStatement.types.md#scalars)[``"String"``] |

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/types.d.ts:335

___

### SetModelNameInput

Ƭ **SetModelNameInput**: `Object`

#### Type declaration

| Name | Type |
| :------ | :------ |
| `name` | [`Scalars`](BudgetStatement.types.md#scalars)[``"String"``] |

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/types.d.ts:338

___

### SetModuleDescriptionInput

Ƭ **SetModuleDescriptionInput**: `Object`

#### Type declaration

| Name | Type |
| :------ | :------ |
| `description?` | [`InputMaybe`](BudgetStatement.types.md#inputmaybe)<[`Scalars`](BudgetStatement.types.md#scalars)[``"String"``]\> |
| `id` | [`Scalars`](BudgetStatement.types.md#scalars)[``"ID"``] |

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/types.d.ts:341

___

### SetModuleNameInput

Ƭ **SetModuleNameInput**: `Object`

#### Type declaration

| Name | Type |
| :------ | :------ |
| `id` | [`Scalars`](BudgetStatement.types.md#scalars)[``"ID"``] |
| `name?` | [`InputMaybe`](BudgetStatement.types.md#inputmaybe)<[`Scalars`](BudgetStatement.types.md#scalars)[``"String"``]\> |

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/types.d.ts:345

___

### SetOperationDescriptionInput

Ƭ **SetOperationDescriptionInput**: `Object`

#### Type declaration

| Name | Type |
| :------ | :------ |
| `description?` | [`InputMaybe`](BudgetStatement.types.md#inputmaybe)<[`Scalars`](BudgetStatement.types.md#scalars)[``"String"``]\> |
| `id` | [`Scalars`](BudgetStatement.types.md#scalars)[``"ID"``] |

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/types.d.ts:349

___

### SetOperationErrorCodeInput

Ƭ **SetOperationErrorCodeInput**: `Object`

#### Type declaration

| Name | Type |
| :------ | :------ |
| `errorCode?` | [`InputMaybe`](BudgetStatement.types.md#inputmaybe)<[`Scalars`](BudgetStatement.types.md#scalars)[``"String"``]\> |
| `id` | [`Scalars`](BudgetStatement.types.md#scalars)[``"ID"``] |

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/types.d.ts:353

___

### SetOperationErrorDescriptionInput

Ƭ **SetOperationErrorDescriptionInput**: `Object`

#### Type declaration

| Name | Type |
| :------ | :------ |
| `errorDescription?` | [`InputMaybe`](BudgetStatement.types.md#inputmaybe)<[`Scalars`](BudgetStatement.types.md#scalars)[``"String"``]\> |
| `id` | [`Scalars`](BudgetStatement.types.md#scalars)[``"ID"``] |

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/types.d.ts:357

___

### SetOperationErrorNameInput

Ƭ **SetOperationErrorNameInput**: `Object`

#### Type declaration

| Name | Type |
| :------ | :------ |
| `errorName?` | [`InputMaybe`](BudgetStatement.types.md#inputmaybe)<[`Scalars`](BudgetStatement.types.md#scalars)[``"String"``]\> |
| `id` | [`Scalars`](BudgetStatement.types.md#scalars)[``"ID"``] |

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/types.d.ts:361

___

### SetOperationErrorTemplateInput

Ƭ **SetOperationErrorTemplateInput**: `Object`

#### Type declaration

| Name | Type |
| :------ | :------ |
| `errorTemplate?` | [`InputMaybe`](BudgetStatement.types.md#inputmaybe)<[`Scalars`](BudgetStatement.types.md#scalars)[``"String"``]\> |
| `id` | [`Scalars`](BudgetStatement.types.md#scalars)[``"ID"``] |

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/types.d.ts:365

___

### SetOperationNameInput

Ƭ **SetOperationNameInput**: `Object`

#### Type declaration

| Name | Type |
| :------ | :------ |
| `id` | [`Scalars`](BudgetStatement.types.md#scalars)[``"ID"``] |
| `name?` | [`InputMaybe`](BudgetStatement.types.md#inputmaybe)<[`Scalars`](BudgetStatement.types.md#scalars)[``"String"``]\> |

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/types.d.ts:369

___

### SetOperationReducerInput

Ƭ **SetOperationReducerInput**: `Object`

#### Type declaration

| Name | Type |
| :------ | :------ |
| `id` | [`Scalars`](BudgetStatement.types.md#scalars)[``"ID"``] |
| `reducer?` | [`InputMaybe`](BudgetStatement.types.md#inputmaybe)<[`Scalars`](BudgetStatement.types.md#scalars)[``"String"``]\> |

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/types.d.ts:373

___

### SetOperationSchemaInput

Ƭ **SetOperationSchemaInput**: `Object`

#### Type declaration

| Name | Type |
| :------ | :------ |
| `id` | [`Scalars`](BudgetStatement.types.md#scalars)[``"ID"``] |
| `schema?` | [`InputMaybe`](BudgetStatement.types.md#inputmaybe)<[`Scalars`](BudgetStatement.types.md#scalars)[``"String"``]\> |

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/types.d.ts:377

___

### SetOperationTemplateInput

Ƭ **SetOperationTemplateInput**: `Object`

#### Type declaration

| Name | Type |
| :------ | :------ |
| `id` | [`Scalars`](BudgetStatement.types.md#scalars)[``"ID"``] |
| `template?` | [`InputMaybe`](BudgetStatement.types.md#inputmaybe)<[`Scalars`](BudgetStatement.types.md#scalars)[``"String"``]\> |

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/types.d.ts:381

___

### SetStateSchemaInput

Ƭ **SetStateSchemaInput**: `Object`

#### Type declaration

| Name | Type |
| :------ | :------ |
| `schema` | [`Scalars`](BudgetStatement.types.md#scalars)[``"String"``] |

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/types.d.ts:385

___

### State

Ƭ **State**: `Object`

#### Type declaration

| Name | Type |
| :------ | :------ |
| `__typename?` | ``"State"`` |
| `examples` | [`CodeExample`](BudgetStatement.types.md#codeexample)[] |
| `initialValue` | [`Scalars`](BudgetStatement.types.md#scalars)[``"String"``] |
| `schema` | [`Scalars`](BudgetStatement.types.md#scalars)[``"String"``] |

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/types.d.ts:388

___

### UpdateChangeLogItemInput

Ƭ **UpdateChangeLogItemInput**: `Object`

#### Type declaration

| Name | Type |
| :------ | :------ |
| `__typename?` | ``"UpdateChangeLogItemInput"`` |
| `id` | [`Scalars`](BudgetStatement.types.md#scalars)[``"ID"``] |
| `newContent` | [`Scalars`](BudgetStatement.types.md#scalars)[``"String"``] |

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/types.d.ts:394

___

### UpdateOperationExampleInput

Ƭ **UpdateOperationExampleInput**: `Object`

#### Type declaration

| Name | Type |
| :------ | :------ |
| `example` | [`Scalars`](BudgetStatement.types.md#scalars)[``"String"``] |
| `id` | [`Scalars`](BudgetStatement.types.md#scalars)[``"ID"``] |

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/types.d.ts:399

___

### UpdateStateExampleInput

Ƭ **UpdateStateExampleInput**: `Object`

#### Type declaration

| Name | Type |
| :------ | :------ |
| `id` | [`Scalars`](BudgetStatement.types.md#scalars)[``"ID"``] |
| `newExample` | [`Scalars`](BudgetStatement.types.md#scalars)[``"String"``] |

#### Defined in

node_modules/@acaldas/document-model-graphql/dist/document-model/types.d.ts:403
